Synonym Maps - List
Lists all synonym maps available for a search service.
GET {endpoint}/synonymmaps?api-version=2026-10-01
GET {endpoint}/synonymmaps?api-version=2026-10-01&$select={$select}&search={search}&pageSize={pageSize}&searchType=prefix
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
The endpoint URL of the search service. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$select
|
query |
string[] |
Selects which top-level properties to retrieve. Specified as a comma-separated list of JSON property names, or '*' for all properties. The default is all properties. |
|
|
page
|
query |
integer (int32) minimum: 1maximum: 3000 |
The maximum number of items to return in a single page. The server enforces a maximum; if omitted, the server determines a suitable default. |
|
|
search
|
query |
string |
A string used to narrow down the listing so that fewer results need to be paged through. If omitted or an empty string is passed, no narrowing is applied. |
|
|
search
|
query |
Specifies how the search parameter is interpreted. Currently only 'prefix' is supported. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
An opaque, globally-unique, client-generated string identifier for the request. |
|
| Accept |
The Accept header. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
api-key
Type:
apiKey
In:
header
OAuth2Auth
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/v2.0/authorize
Scopes
| Name | Description |
|---|---|
| https://search.azure.com/.default |
Examples
SearchServiceListSynonymMaps
Sample request
GET https://typespecstableexampleservice.search.windows.net/synonymmaps?api-version=2026-10-01&$select=&search=&pageSize=&searchType=prefix
Sample response
{
"value": [
{
"@odata.etag": "0x1234568AE7E58A1",
"name": "mysynonymmap",
"format": "solr",
"synonyms": "United States, United States of America, USA\nWashington, Wash. => WA",
"encryptionKey": {
"keyVaultKeyName": "myUserManagedEncryptionKey-createdinAzureKeyVault",
"keyVaultKeyVersion": "myKeyVersion-32charAlphaNumericString",
"keyVaultUri": "https://myKeyVault.vault.azure.net",
"accessCredentials": {
"applicationId": "00000000-0000-0000-0000-000000000000",
"applicationSecret": "<applicationSecret>"
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Accept |
The Accept header. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Listing |
Specifies how the search parameter is interpreted when narrowing down a listing result set. Currently only 'prefix' is supported. |
|
List |
Response from a List SynonymMaps request. If successful, it includes the full definitions of all synonym maps. |
|
Search |
Clears the identity property of a datasource. |
|
Search |
Specifies the identity for a datasource to use. |
|
Search |
A customer-managed encryption key in Azure Key Vault. Keys that you create and manage can be used to encrypt or decrypt data-at-rest, such as indexes and synonym maps. |
|
Synonym |
Represents a synonym map definition. |
Accept
The Accept header.
| Value | Description |
|---|---|
| application/json;odata.metadata=minimal |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
searchservice.synonymmaps.list |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ListingSearchType
Specifies how the search parameter is interpreted when narrowing down a listing result set. Currently only 'prefix' is supported.
| Value | Description |
|---|---|
| prefix |
Matches items whose name starts with the value of the search parameter. |
ListSynonymMapsResult
Response from a List SynonymMaps request. If successful, it includes the full definitions of all synonym maps.
| Name | Type | Description |
|---|---|---|
| @odata.nextLink |
string |
The URL that can be used to fetch the next set of results. |
| value |
The synonym maps in the Search service. |
SearchIndexerDataNoneIdentity
Clears the identity property of a datasource.
| Name | Type | Description |
|---|---|---|
| @odata.type |
string:
#Microsoft. |
A URI fragment specifying the type of identity. |
SearchIndexerDataUserAssignedIdentity
Specifies the identity for a datasource to use.
| Name | Type | Description |
|---|---|---|
| @odata.type |
string:
#Microsoft. |
A URI fragment specifying the type of identity. |
| federatedIdentityClientId |
string |
Multi-tenant User-Assigned Managed Identity Support: The client id of the multi-tentant App that has been configured to federate with the user-assigned managed identity. |
| userAssignedIdentity |
string |
The fully qualified Azure resource Id of a user assigned managed identity typically in the form "/subscriptions/12345678-1234-1234-1234-1234567890ab/resourceGroups/rg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/myId" that should have been assigned to the search service. |
SearchResourceEncryptionKey
A customer-managed encryption key in Azure Key Vault. Keys that you create and manage can be used to encrypt or decrypt data-at-rest, such as indexes and synonym maps.
| Name | Type | Description |
|---|---|---|
| accessCredentials.applicationId |
string |
An AAD Application ID that was granted the required access permissions to the Azure Key Vault that is to be used when encrypting your data at rest. The Application ID should not be confused with the Object ID for your AAD Application. |
| accessCredentials.applicationSecret |
string |
The authentication key of the specified AAD application. |
| identity | SearchIndexerDataIdentity: |
An explicit managed identity to use for this encryption key. If not specified and the access credentials property is null, the system-assigned managed identity is used. On update to the resource, if the explicit identity is unspecified, it remains unchanged. If "none" is specified, the value of this property is cleared. |
| keyVaultKeyName |
string |
The name of your Azure Key Vault key to be used to encrypt your data at rest. |
| keyVaultKeyVersion |
string |
The version of your Azure Key Vault key to be used to encrypt your data at rest. |
| keyVaultUri |
string |
The URI of your Azure Key Vault, also referred to as DNS name, that contains the key to be used to encrypt your data at rest. An example URI might be |
SynonymMap
Represents a synonym map definition.
| Name | Type | Description |
|---|---|---|
| @odata.etag |
string |
The ETag of the synonym map. |
| encryptionKey |
A description of an encryption key that you create in Azure Key Vault. This key is used to provide an additional level of encryption-at-rest for your data when you want full assurance that no one, not even Microsoft, can decrypt your data. Once you have encrypted your data, it will always remain encrypted. The search service will ignore attempts to set this property to null. You can change this property as needed if you want to rotate your encryption key; Your data will be unaffected. Encryption with customer-managed keys is not available for free search services, and is only available for paid services created on or after January 1, 2019. |
|
| format |
enum:
solr |
The format of the synonym map. Only the 'solr' format is currently supported. |
| name |
string |
The name of the synonym map. |
| synonyms |
string |
A series of synonym rules in the specified synonym map format. The rules must be separated by newlines. |